summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorOlivier Goffart <olivier.goffart@nokia.com>2011-01-26 10:23:59 +0100
committerOlivier Goffart <olivier.goffart@nokia.com>2011-01-26 10:24:20 +0100
commit63d76efd073d03d25a70c24fb52cda6eef1f5c5e (patch)
tree9b2e7e0ead11415978ce79dd26a401818236e43f /scripts
parent9d35744b300ae24026309eda9494c4c4ee01838b (diff)
Move some of the utils
Diffstat (limited to 'scripts')
-rw-r--r--scripts/400_util64
1 files changed, 64 insertions, 0 deletions
diff --git a/scripts/400_util b/scripts/400_util
new file mode 100644
index 0000000..9cb17bf
--- /dev/null
+++ b/scripts/400_util
@@ -0,0 +1,64 @@
+#--------------------------------------------------------------------------------------------------
+# Standard modularization template
+# --------------------------------
+#
+# The script will start execution from <QTDIR>.
+#
+# Available variables:
+# $qtdir = <QTDIR> or where you started the modularize script from
+# $basepath = path for the modularize script, and basepath for the modularization repo
+# $OStype = <n> where <n> is one of 0 = Windows, 1 = Unix, 2 = Mac
+#
+# To execute a command:
+# run("git mv foo bar") # runs command, reports error possition and dies
+# runNotDie("git mv foo bar") # runs command, reports error possition, returns error code
+# and continues. Use ($? >> 8) to get the real exit code.
+# ensureDir("qtkernel") # Ensures that qtkernel exists and is a directory. Will create
+# it if it does not exist.
+#--------------------------------------------------------------------------------------------------
+
+ensureDir("qtkernel/util");
+
+
+
+# harfbuzz is in qtkernel, and its relative location has not even moved
+run("git mv util/harfbuzz qtkernel/util/");
+
+# Some code generator
+run("git mv util/unicode qtkernel/util/");
+run("git mv util/local_database qtkernel/util/");
+run("git mv util/lexgen qtkernel/util/"); # generates the cssparser
+run("git mv util/xkbdatagen qtkernel/util/"); # generates qkeymapper_x11_p.cpp
+
+
+# used for qtxmlstreamreader, but also the old qtscript, and some 3rd party project,
+# maybe it deserve its own repo ?
+run("git mv util/qlalr qtkernel/util/");
+
+#i know s60theme requires webkit, but it belongs there i think
+run("git mv util/s60theme qtkernel/util/");
+run("git mv util/s60pixelmetrics qtkernel/util/");
+
+
+# scripts/make_qfeatures_dot_h belongs into qtkernel
+# scripts/unix_to_dos not really, but i'm lazy
+run("git mv util/scripts qtkernel/util/");
+
+
+ensureDir("qtscript/util");
+run("git mv util/webkit/mkdist-javascriptcore qtscript/util/");
+
+ensureDir("qtwebkit/util");
+run("git mv util/webkit/mkdist-webkit qtwebkit/util/");
+
+
+
+# plugintest -> move to manualtests??
+
+# fixnonlatin1 normalize -> tools to operate on source code, but for any module
+# maybe in a devtool module
+
+
+# I have no clue what gencmap is.
+
+